> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# productfamily

> GenericMDOProvider reads MDO lists with default settings

## "productfamily" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'productfamily'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/productfamily
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("productfamily", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 3  | Kids wear   |           |           |
| 1  | Mens wear   |           |           |
| 2  | Womens wear |           |           |

## Related MDO Lists

* "productfamilyheadings"
* "productfamilyheadingswithallitem"
* "productfamilyheadingswithallitemwithnoselection"
* "productfamilyheadingswithnoselection"
* "productfamilywithallitem"
* "productfamilywithallitemwithnoselection"
* "productfamilywithnoselection"


## Related topics

- [ProductFamily table](/en/database/tables/productfamily.md)
- [SuperOffice.WebApi.Data.ProductFamily](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProductFamily.md)
- [ProductFamilyGroupLink table](/en/database/tables/productfamilygrouplink.md)
- [ProductFamilyHeadingLink table](/en/database/tables/productfamilyheadinglink.md)
- [SuperOffice.WebApi.Data.QuoteLine](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteLine.md)
- [SuperOffice.WebApi.Data.Product](/en/api/reference/webapi/SuperOffice.WebApi.Data.Product.md)
